studente = { "matricola": "Y3838383", "nome":"chiara", "cognome": "amato",
             "anno_isc" : 2022}

studente2 = dict(matricola = "Y3838383", nome = "chiara", cognome = "amato",
                anno_isc = 2022)

studente3 = dict([("matricola", "Y3838383"), ("nome", "chiara"),
                  ("cognome", "amato"), ("anno_isc", 2022)])

print(studente["matricola"]) #accedo alla matricola di studente
print(studente.get("matricola"))

studente["anno_isc"] = 2023 #modifico l'anno di iscrizione
studente.update({"anno_isc":2023})
studente.update([("anno_isc",2023)])
print(studente.get("anno_isc"))

studente.pop("anno_isc") #elimino la coppia chiave-valore data la chiave
print(studente)

for elemento in studente.items(): #prendiamo tutte le coppie chiave-valore
    print(elemento)

for elemento in studente.keys(): #prendiamo tutte le chiavi
    print(elemento)

for elemento in studente.values(): #prendiamo tutti i valori
    print(elemento)

copia_studente = studente.copy() #copia un dizionario
print(copia_studente)

studente.clear() #svuota un dizionario
print(studente)

dizionario = {"corso_di_laurea": "scienze del testo"}
nuovo_dizionario = copia_studente | dizionario #creo un dizionario dato dall'unione di due dizionari
print(nuovo_dizionario)
print(copia_studente)
